#
# spec file for package python-glob2
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-glob2
Version:        0.7
Release:        2.20
Summary:        Glob module recursive wildcards support
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/glob2
Source:         https://files.pythonhosted.org/packages/source/g/glob2/glob2-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
This module provides an extended version of Python's builtin glob
module with the following additions:

- The ability to capture the text matched by glob patterns, and
  return those matches alongside the filenames.
- A recursive '**' globbing syntax, akin for example to the globstar
  option of the bash shell.
- The ability to replace the filesystem functions used, in order to
  glob on virtual filesystems.

%prep
%setup -q -n glob2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test.py

%files %{python_files}
%license LICENSE
%doc README.rst CHANGES
%{python_sitelib}/*

%changelog
* Thu Mar 26 2020 Paolo Stivanin <info@paolostivanin.com>
- Switch from nose to pytest
* Wed Jun 19 2019 pgajdos@suse.com
- version update to 0.7
  * Fix deprecation warning.
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Remove unnecessary build dependency on python-devel
* Tue May 22 2018 bruno@ioda-net.ch
- spec-cleaner (date/url)
- Use only %%license
* Wed Oct  4 2017 bruno@ioda-net.ch
- Backport to singlespec
- spec-cleanup (Mostly Year)
- Remove Source1 (LICENSE) is now included in tar.gz
- Update to bugfix version 0.6
  - Support dummy recursive parameter in APIs to match the new
    call signature of Python 3.
  - Fix lru_cache (Kostis Anagnostopoulos).
  - Introduce norm_paths and case_sensitive options to optionally
    change the behaviour (Kostis Anagnostopoulos).
  + 0.5 (2016-11-04)
  - include_hidden option.
  - Python 3 fixes.
  - Publish a wheel.
* Mon Jun 13 2016 toddrme2178@gmail.com
- Don't check unit test coverage.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Mar 13 2016 bruno@ioda-net.ch
- Create python3 packaging
- Added missing LICENSE file in tar.gz from github
  Upstream gh/issue/11
